<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Taralaya: Interactive demo</title>
    <link href="css/main.css" rel="stylesheet"/>
  </head>
  <body>
    <header>
      <h1>Jawaharlal Nehru Planetarium</h1>
      <h2>
        <button>
          <svg viewBox="0 0 16 16" width="16" height="16">
            <path style="fill: none; stroke: rgb(0, 0, 0); stroke-linecap: round; stroke-linejoin: round; stroke-width: 2;" d="M 2 8 H14 M 6 4 L 2 8 L 6 12"></path>
          </svg> Back
        </button>
        <div>Interactive Demos</div>
      </h2>
      <nav></nav>
    </header>
    <svg display="none">
      <defs>
        <path id="star" d="M 0 -4.71 L 1.224 -1.188 L 4.952 -1.112 L 1.981 1.141 L 3.061 4.71 L 0 2.58 L -3.061 4.71 L -1.981 1.141 L -4.952 -1.112 L -1.224 -1.188 Z"/>
      </defs>
    </svg>
    <main></main>
    <footer>Umesh Mohan &lt;umesh@sheathwing.in&gt;</footer>
  </body>
  <script type="module">
    import {$} from './js/dom.js'
    import {initialize as initialize_main} from './js/main.js'
    
    document.addEventListener('contextmenu', event => event.preventDefault())
    $('h2 button').addEventListener('click', () => initialize_main())
    
    initialize_main()
  </script>
</html>
